> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /experimental/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export

> Creates an MPO products report export job.
<br />
This endpoint is subject to specific rate limits.



## OpenAPI

````yaml https://api.criteo.com/experimental/marketingsolutions/open-api-specifications.json post /experimental/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Experimental
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /experimental/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export:
    post:
      tags:
        - Analytics
      summary: >-
        /experimental/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export
      description: |-
        Creates an MPO products report export job.
        <br />
        This endpoint is subject to specific rate limits.
      operationId: CreateMpoProductsExport
      requestBody:
        description: The MPO products report export request.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductReportJobRequest'
            example:
              data:
                type: ProductReportJob
                attributes:
                  fileFormat: json
                  startDate: '2026-09-01T00:00:00.0000000+00:00'
                  endDate: '2026-09-04T00:00:00.0000000+00:00'
                  advertiserIds:
                    - '123'
                  campaignIds:
                    - '111'
                  adSetIds:
                    - '135'
                  dimensions:
                    - adSetId
                    - sellerId
                    - productId
                  metrics:
                    - impressions
                    - clicks
                    - cost
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportJobStatusResponse'
              example:
                data:
                  type: ReportJobStatus
                  attributes:
                    exportId: e0893b6b-be25-477f-9ca3-e6e8c8ec9e30
                    status: Pending
                    message: null
                warnings: []
                errors: []
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  schemas:
    ProductReportJobRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ProductReportJobResource'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    ReportJobStatusResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ReportJobStatusResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value object.
    ProductReportJobResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ProductReportJob'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    ReportJobStatusResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ReportJobStatus'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    ProductReportJob:
      required:
        - advertiserIds
        - startDate
      type: object
      properties:
        adSetIds:
          maxItems: 10
          type: array
          items:
            type: string
          description: The list of ad set ids. Maximum 10.
          nullable: true
        advertiserIds:
          maxItems: 5
          minItems: 1
          type: array
          items:
            type: string
          description: The list of advertiser account IDs. Maximum 5, numeric.
        campaignIds:
          maxItems: 10
          type: array
          items:
            type: string
          description: The list of marketing campaign ids. Maximum 10.
          nullable: true
        dimensions:
          type: array
          items:
            enum:
              - advertiserId
              - partnerId
              - campaignId
              - adSetId
              - sellerId
              - productId
            type: string
            description: Dimensions available for grouping in an MPO products report.
          description: >-
            The dimensions of the report. If not included, the default list of
            dimensions will be used.
          default:
            - advertiserId
            - adSetId
            - sellerId
            - productId
          nullable: true
        endDate:
          type: string
          description: >-
            End of the reporting interval. ISO 8601 date-time (UTC). Defaults to
            the last complete day.
          format: date-time
        fileFormat:
          type: string
          description: 'The output file format. Supported: csv, json.'
          default: csv
          nullable: true
        metrics:
          type: array
          items:
            enum:
              - clicks
              - impressions
              - cost
            type: string
            description: Metrics available for an MPO products report.
          description: >-
            The list of metrics to report. If not included, the default list of
            metrics will be used.
          default:
            - clicks
            - impressions
            - cost
          nullable: true
        startDate:
          type: string
          description: Start of the reporting interval. ISO 8601 date-time (UTC).
          format: date-time
      additionalProperties: false
      description: >-
        This is the message defining the query for the MPO product report (async
        export).
    ReportJobStatus:
      type: object
      properties:
        exportId:
          type: string
          description: ID of the report job
          nullable: true
        message:
          type: string
          description: Optional informational message (e.g. rows_count=1232)
          nullable: true
        status:
          enum:
            - Pending
            - Done
            - Failure
            - Expired
          type: string
          description: Status of the report job
          nullable: true
      additionalProperties: false
      description: Status of a report export job.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````